Bug 149436 - No limit to node-name length in Node Properties dialog box.
No limit to node-name length in Node Properties dialog box.
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 18:23 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-18 11:41:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-22 18:23:26 EST
Description of problem:

At “Cluster Node Name” in the Node Properties dialog box, there is no
limit to the number of characters that can be entered.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0

How reproducible:


Steps to Reproduce:
1. Navigate: Cluster -> Cluster Nodes -> Add Cluster Node 
   -OR-
   Cluster -> Cluster Nodes -> <node name> Edit Node Properites
2. At the Node Properties dialog box, enter the following sample text:
Extremely-long-nodename: This is an extremely long nodename sample to
copy and paste into the Node Properties "Name" box in the Node
Properties dialog box.
3. Click OK.
4. Save configurationfile to /etc/cluster/cluster.conf.
5. Observe /etc/cluster/cluster.conf.
  
Actual results:
All text entered at the "Name" box in the Node Properties dialog box
is accepted and saved to /etc/cluster/cluster.conf.

Expected results:
Expected a dialog box with an admonition about the amount of
characters that are allowed.

Additional info:
Comment 1 Jim Parsons 2005-03-01 12:24:28 EST
will fix

64 char limit

no white space
Comment 2 Jim Parsons 2005-03-28 16:49:22 EST
Fixed in 0.9.20-1.0  for both whitespace and char limit.
Comment 3 Corey Marthaler 2005-04-18 11:41:54 EDT
fix verified.

Note You need to log in before you can comment on or make changes to this bug.